BSOPACK(1)

NAME
BSOpack - Packs outgoing Netmails.

SYNOPSIS
bsopack [-c fidoconfig] [options]

DESCRIPTION
bsopack BSOpack is used to pack outgoing netmail for links. It works with HUSKY package and requires its files.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page (but a fine README).

OPTIONS

  [fidoconfig]
Path to your fidoconfig if different from default.

  [options]
-q Quiet mode (ignoring screenloglevels in fidoconfig)
-d Debug mode
-h or --help Help screen

RETURN VALUE
0 All fine

HOW IT WORKS
At first it checks if packNetmail for the link is on, if this link is not busy and if a packer is defined. Then it searches for *.?ut files in the outbound. If the size of all found *.?ut is greater than maxUnpackedNetmail, these files will be renamed to *.pkt (using tempOutbound token) and put into an arcmail bundle. So, your mail should never be lost. If any error occurs hpt scan will find this packet and (if this packet is for a link listed in fidoconfig) pack it into a bundle with echomail. The packet will be added to the most recently used bundle until the size of the bundle is greater than netmail will be packed together with echomail. Each flavour is processed independently. It creates bundle names using an algorithm of two addresses differences. The log file 'bsopack.log' is placed into 'logFileDir'.

NOTES
All Husky-Software is written by various developers. For detailed information about the Husky-Team take a look at http://husky.sourceforge.net/team.html.

AUTHOR
This manual page was written by Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>, for the Debian GNU/Linux system (but may be used by others).